Page MenuHomePhabricator

The alert message about adblocker is not fully shown on smaller screens
Closed, ResolvedPublic3 Story Points

Description

On https://stats.wikimedia.org/v2/#/all-projects the alert message about adblocker doesn't fit in its box on smaller screens.

Event Timeline

Stryn created this task.Feb 25 2018, 2:51 PM
Restricted Application added a project: Analytics. · View Herald TranscriptFeb 25 2018, 2:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
mforns edited projects, added Analytics; removed Analytics-Kanban.Mar 8 2018, 6:05 PM
mforns moved this task from Incoming to Mentoring on the Analytics board.
sahil505 added a comment.EditedMar 13 2018, 11:22 PM

There are many ways to go about solving this bug. One is to provide a uniform left and right margin and adjust the class height a bit. Responsiveness checks out as well. Looks like this locally. @mforns

Change 419977 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] The alert message about adblocker is not fully shown on smaller screens

https://gerrit.wikimedia.org/r/419977

mforns added a comment.EditedMar 16 2018, 12:17 PM

@sahil505, thanks for taking care of this task!
Your fix looks good to me!
Maybe, now that we're using 2 lines, I would add a line break between the first and second sentences of the message.
This way, both lines would have more or less the same length. What do you think?
I will comment on your Gerrit patch.

Thanks @mforns. I agree about the line break, will make it look a bit more uniform and cleaner. On it!

Change 419977 merged by Mforns:
[analytics/wikistats2@master] Fixed the adblocker alert message overflow for smaller screens

https://gerrit.wikimedia.org/r/419977

mforns assigned this task to sahil505.Mar 22 2018, 12:44 PM
mforns set the point value for this task to 3.
mforns edited projects, added Analytics-Kanban; removed Analytics.
mforns moved this task from Next Up to Done on the Analytics-Kanban board.

@mforns Thanks for the review :)

Nuria closed this task as Resolved.Mar 26 2018, 9:27 PM